=== debian/changelog ===
aces3 (3.0.6-7build1) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 15 Dec 2013 00:20:15 -0500

aces3 (3.0.6-7) unstable; urgency=high

  [ Michael Banck ]
  * debian/patches/exit_impossible_seq_jobs_gracefully.patch: New patch,
    prints a helpful error message and quits if a job type is requested which
    cannot be run sequentially (Closes: #687266).
  * debian/patches/ignore_invalid_message_nind.patch: New patch, if a message
    of type ``server_barrier_signal'' or ``server_quit_msgtype'' arrives,
    ignore if the value of the ``nind'' field is invalid (Closes: #687264).

 -- Michael Banck <mbanck@debian.org>  Mon, 22 Apr 2013 10:44:02 +0200

aces3 (3.0.6-6) unstable; urgency=low

  * debian/patches/divide-by-zero-error_fix.patch: New patch, fixes a
    floating-point exception in case some types of calculations are run on
    a single core (Closes: #683467).

 -- Michael Banck <mbanck@debian.org>  Sun, 09 Sep 2012 09:05:06 +0200

aces3 (3.0.6-5) unstable; urgency=low

  [ Michael Banck ]
  * debian/rules (override_dh_auto_clean, override_dh_auto_configure): New
    rules, moving away duplicate lapack/blas source files in the dup/
    subdirectory on configure and putting them back in place on clean 
    (Closes: #680397).
  * debian/patches/testsuite_prepare.patch: Further cut down the testsuite to
    only test case 1.1.1.1 in order to relief slower buildds.

  [ Daniel Leidert ]
  * debian/watch: Added.

 -- Michael Banck <mbanck@debian.org>  Thu, 19 Jul 2012 02:08:21 +0200

aces3 (3.0.6-4) unstable; urgency=low

  * debian/patches/patches/default_directories.patch: Fix patch for the case
    when $ACES_EXE_PATH is not set.
  * debian/rules (override_dh_auto_test): Only run testsuite if
    DEB_BUILD_OPTIONS does not contain `nocheck', as per policy.

 -- Michael Banck <mbanck@debian.org>  Sat, 24 Mar 2012 04:01:26 +0100

aces3 (3.0.6-3) unstable; urgency=low

  * debian/patches/patches/default_directories.patch: Rework patch to not fail
    if $ACES_EXE_PATH is set but /usr/lib/aces3 is not present.

 -- Michael Banck <mbanck@debian.org>  Sat, 24 Mar 2012 02:53:51 +0100

aces3 (3.0.6-2) unstable; urgency=low

  * debian/control (Description): Slight updates.
  * debian/rules (override_dh_auto_test): Set OMPI_MCA_plm_rsh_agent
    environment variable to make test suite run in a chroot.
  * debian/patches/testsuite_prepare.patch: Remove most tests from TESTS
    varilable to make testsuite run shorter, echo current test name to stdout
    to produce some output and remove calls to the non-existant `lfs' utility.

 -- Michael Banck <mbanck@debian.org>  Sat, 24 Mar 2012 01:53:34 +0100

aces3 (3.0.6-1) unstable; urgency=low

  * Initial upload (Closes: #640718).

 -- Michael Banck <mbanck@debian.org>  Tue, 06 Sep 2011 22:05:11 +0200
