=== debian/control ===
Source: aces3
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 7.0.50~), csh, mpi-default-bin, gfortran, mpi-default-dev, libblas-dev, liblapack-dev
Standards-Version: 3.9.2
Homepage: http://www.qtp.ufl.edu/ACES
Vcs-Browser: http://svn.debian.org/wsvn/aces3/
Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/aces3/
DM-Upload-Allowed: yes

Package: aces3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Advanced Concepts in Electronic Structure III
 ACESIII is an electronic structure calculation program with a focus on
 correlated methods.  It is the parallel successor to ACESII, employing the
 Super Instruction Assembly Language (SIAL) as parallelization framework.
 Features include:
 .
 Energies, analytic gradients and analytic hessians for the following methods:
  * Restricted/unrestricted spin or restricted open-shell Hartree-Fock (HF)
  * Second-order Moeller-Plesset pertubation theory (MP2)
 .
 Energies and analytic gradients for the following methods:
  * Coupled cluster singles and doubles (CCSD)
 .
 Additionally, it can compute energies for the following methods:
  * Coupled cluster singles and doubles with pertubative triples (CCSD(T)) 
  * Quadratic configuration-interaction singles and doubles (QCISD)
 .
 Excited states can be calculated by the following methods:
  * Qadratic configuration interaction singles and doubles
  * Coupled cluster equation-of-motion (EOM-CC)
 .
 It also includes an internal coordinate geometry optimizer.  If analytic
 gradients are not available, numerical gradients via finite differences are
 used.
