=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

FC=mpif77

override_dh_auto_clean:
	(cd dup; if ls *.f_ > /dev/null 2>&1; then for i in *.f_; do mv $$i `echo $$i | sed s/\_$$//`; done; fi)
	(cd dup; if ls *.F_ > /dev/null 2>&1; then for i in *.F_; do mv $$i `echo $$i | sed s/\_$$//`; done; fi)
	dh_auto_clean

override_dh_auto_configure:
	(cd dup; for i in `ls *.f *.F | grep -v dsum.F | grep -v xscal.F | grep -v xdnrm2.f | grep -v xdscal.f | grep -v xdswap.f`; do \
	  mv $$i $$i\_; \
	done)	

%:
	dh $@ 

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	-(cd tests; OMPI_MCA_plm_rsh_agent=/bin/false csh ./runscript)
	-cat ACESIII_TESTS/monitor_tests
endif
