## aces3 3.0.8

=== doc/Makefile ===
#   
#   Makefile for doxygen to generate documentation.
#
#   Running make will create documentation in the
#   'html' directory.
#
export
#   gmake all: Builds the xchssi executable.
DOXYGEN_EXE=doxygen

all: doxygen

doxygen: ;
	doxygen Doxyfile

clean: ;
	rm -rf html
