=== debian/changelog ===
aces3 (3.0.8-6build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:32:12 +0100

aces3 (3.0.8-6) unstable; urgency=medium

  * Rebuild against latest openmpi to fix FTBFS on mult. arches
  * Standards-Version: 4.2.1
  * make build more verbose by default
  * Point VCS-* to salsa.d.o, homepage to https version
  * Set aces3-data to Multi-Arch: foreign

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Dec 2018 16:21:47 +0000

aces3 (3.0.8-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix obsolete use of libgfortranbegin. Closes: #831164.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 10 Sep 2016 11:05:40 +0100

aces3 (3.0.8-5) unstable; urgency=medium

  * debian/patches/makefile_show_output.patch: New patch, makes the Makefiles
    no longer supress general output and errors (Closes: #794782).
  * debian/rules (override_dh_auto_clean): Remove config.h.
  * debian/control (DM-Upload-Allowed): Removed.
  * debian/control (Standards-Version): Bumped to 3.9.6.

 -- Michael Banck <mbanck@debian.org>  Sun, 22 Nov 2015 17:53:16 +0100

aces3 (3.0.8-4) unstable; urgency=medium

  * debian/rules (FFLAGS1): Remove quotes (Closes: #767498).

 -- Michael Banck <mbanck@debian.org>  Sun, 09 Nov 2014 17:28:11 +0100

aces3 (3.0.8-3) unstable; urgency=medium

  * debian/rules: Move FFLAGS1 from override_dh_auto_configure to a top-level
    variable (Closes: #767498). 

 -- Michael Banck <mbanck@debian.org>  Sun, 09 Nov 2014 10:05:12 +0100

aces3 (3.0.8-2) unstable; urgency=medium

  * debian/rules (override_dh_auto_configure): Set FFLAGS1 for F90 source
    files, including -ffunction-sections to fix FTBFS errors on armhf and
    arm64 (Closes: #767498).
  * debian/rules (override_dh_auto_configure): Remove superfluous -lmpi_cxx and
    -lstdc++ from GNULIBS, fixing an FTBFS error on s390x (Closes: #767498).
  * debian/control (aces3-data): Add Replaces for aces3 package prior to the
    -data splitup (Closes: #768212).

 -- Michael Banck <mbanck@debian.org>  Sat, 08 Nov 2014 13:50:23 +0100

aces3 (3.0.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/default_directories.patch: Updated.
  * debian/patches/testsuite_input.patch: Likewise.
  * debian/patches/makefile_distclean.patch: Likewise.
  * debian/patches/testsuite_prepare.patch: Likewise.
  * debian/patches/divide-by-zero-error_fix.patch: Likewise.
  * debian/patches/exit_impossible_seq_jobs_gracefully.patch: Likewise.
  * debian/patches/ignore_invalid_message_type_nind.patch: Likewise.
  * debian/patches/fix_format_not_string.patch: Likewise.
  * debian/patches/testsuite_quicktests.patch: Likewise.
  * debian/patches/fix_binary_characters_in_output.patch: Likewise.
  * debian/patches/testsuite_compare.patch: Likewise.
  * debian/patches/compile_error.patch: Removed, no longer needed.
  * debian/patches/fix_compile_errors.patch: New patch, fixes compile errors
    introduced in new upstream version.
  * debian/patches/fix_autoconf.patch: New patch, fixes issues with AC_SUBST
    ordering and adds some missing Makefiles to AC_CONFIG_FILES.
  * debian/rules (override_dh_auto_clean, override_dh_auto_configure): Adjust
    for new location of dup directory and include a couple of more Fortran
    files which are newly required in the new upstream version.
  * debian/rules (override_dh_auto_configure): Run dh_auto_configure.
  * debian/patches/patches/testsuite_quicktests.patch: Delete newly created
    runtests-quick script as well.
  * debian/patches/makefile_distclean.patch: Removed Fortran90 .mod files from
    oed_F12 and erd_F12 directories, as well as a couple of new uncleaned files.
  * debian/rules (override_dh_auto_clean): Remove auto-generated Makefiles.
  * debian/patches/makeflags.patch: Removed, no longer needed.
  * debian/patches/fix_read_after_eof.patch: New patch, fixes runtime errors
    when writing ZMAT.AUTO.
  * debian/patches/fix_corrupted_jobabort_variable.patch: New patch, fixes a
    memory corruption leading to early aborts of compute jobs.
  * debian/patches/update_version.patch: New patch, update version number.
  * debian/patches/mem_alloc.patch: New patch, replaces the new and 64bit-only
    memory allocation with the code from version 3.0.7.
  * debian/rules (override_dh_auto_clean): Make sure all .sio source files are
    removed on clean.

 -- Michael Banck <mbanck@debian.org>  Sun, 26 Oct 2014 18:10:40 +0100

aces3 (3.0.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/makeflags.patch: Updated.
  * debian/patches/makefile_distclean.patch: Likewise.
  * debian/patches/exit_impossible_seq_jobs_gracefully.patch: Likewise.
  * debian/patches/fix_binary_characters_in_output.patch: Likewise.
  * debian/patches/compile_error.patch: New patch, fixes compile errors.
  * debian/control (aces3/Depends): Fixed depends on aces3-data.

 -- Michael Banck <mbanck@debian.org>  Mon, 13 Oct 2014 13:25:30 +0200

aces3 (3.0.6-8) unstable; urgency=medium

  [ Michael Banck ]
  * debian/patches/testsuite_input.patch: Updated all testsuite input files
    with much less demanding H2O coordinates and VDZ basis sets.
  * debian/patches/testsuite_prepare.patch: Run testsuite with two MPI
    processes.  Otherwise, most tests abort.
  * debian/patches/testsuite_quicktests.patch: New patch, define a new set
    $(QUICKTESTS) of tests which only runs a few tests to check basic
    functionality.  Also create a runscript-quick to run them.
  * debian/patches/testsuite_prepare.patch: Adjusted to no longer modify the
    set of tests in $(TESTS).
  * debian/rules (override_dh_auto_test): Run runscript-quick instead of
    runcript.
  * debian/patches/fix_binary_characters_in_output.patch: New patch, crops the
    sial_program variable at 60 characters, avoiding binary garbage at the end
    which makes the ACESIII output files be recognized as binary files by Unix

