=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

export FC=mpif77
export FFLAGS1=-DMPIF2C -DMPI2 -DC_SUFFIX -DCB_SUFFIX -D__fortran -D__fortran77 -g -O0 -Wall -fno-aggressive-loop-optimizations -ffunction-sections

override_dh_auto_clean:
	(cd src/aces/aces_library/special_directory/dup; if ls *.F_ > /dev/null 2>&1; then for i in *.F_; do mv $$i `echo $$i | sed s/\_$$//`; done; fi)
	rm -f `find . -name "Makefile.in" | sed s/.in$$//`
	rm -f `find src/aces/aces_sial -name "*.sio"`
	rm -f config.h
	dh_auto_clean

override_dh_auto_configure:
	(cd src/aces/aces_library/special_directory/dup; for i in `ls *.F | grep -v dsum.F | grep -v elmhes.F | grep -v eltran.F | grep -v hqr.F | grep -v xdcopy.F | grep -v xddot.F | grep -v xdaxpy.F | grep -v xscal.F | grep -v xdnrm2.F | grep -v xdscal.F | grep -v xdswap.F`; do \
	  mv $$i $$i\_; \
	done)	
	dh_auto_configure -- --enable-gnu \
		GNULIBS="-lblas -llapack" \
		GNUFLAGS="-L/usr/lib" \
		FCFLAGS="-DMPIF2C -DMPI2 -DC_SUFFIX -DCB_SUFFIX -D__fortran -D__fortran77 -g -O2 -Wall -fno-aggressive-loop-optimizations" \
		CFLAGS="-DMPIF2C -DMPI2 -DC_SUFFIX -DCB_SUFFIX -g -Wall -O2" \
		CXXFLAGS="-DMPIF2C -DMPI2 -DC_SUFFIX -DCB_SUFFIX -g -Wall -O2"

%:
	dh $@ 

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	-(cd tests; OMPI_MCA_orte_rsh_agent=/bin/false csh ./runscript-quick)
	-cat ACESIII_TESTS/monitor_tests
endif
